Get job contacts
curl --request GET \
--url https://app.titanx.io/api/public/v2/jobs/{jobId}/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.titanx.io/api/public/v2/jobs/{jobId}/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.titanx.io/api/public/v2/jobs/{jobId}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"contacts": [
{
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"companyAccount": "<string>",
"phones": [
{
"number": "+14155551001",
"status": "p1",
"type": "mobile",
"country": "US",
"region": "US",
"position": 1,
"ivrPath": null
}
],
"id": "<string>",
"userId": "<string>",
"jobId": "<string>",
"clientId": "<string>",
"leadId": "<string>",
"email": "<string>",
"phoneCountry": "<string>",
"phone2": "<string>",
"phone2Country": "<string>",
"phone3": "<string>",
"phone3Country": "<string>",
"phone4": "<string>",
"phone4Country": "<string>",
"phone5": "<string>",
"phone5Country": "<string>",
"phoneExt": "<string>",
"street": "<string>",
"city": "<string>",
"stateProvince": "<string>",
"zipPostalCode": "<string>",
"country": "<string>",
"title": "<string>",
"website": "<string>",
"linkedInUrl": "<string>",
"companyLinkedInUrl": "<string>",
"persona": "<string>",
"dept": "<string>",
"level": "<string>",
"jobFunction": "<string>",
"timeZone": "<string>",
"companyCountry": "<string>",
"companyState": "<string>",
"companyCity": "<string>",
"companyZip": "<string>",
"companyAddress": "<string>",
"numberOfEmployees": "<string>",
"annualRevenue": "<string>",
"industry": "<string>",
"primarySubIndustry": "<string>",
"sicCodes": "<string>",
"naicsCodes": "<string>",
"technologies": "<string>",
"campaignListName": "<string>",
"recordOwner": "<string>",
"contactCrmId": "<string>",
"accountCrmId": "<string>",
"databaseContactId": "<string>",
"databaseCompanyId": "<string>",
"customerContactId": "<string>",
"intent": "<string>",
"bestPhone": {
"number": "<string>"
},
"unmappedFields": {},
"enrichmentContactId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"pagination": {
"page": 2,
"perPage": 2,
"totalCount": 1,
"totalPages": 1,
"hasNextPage": true,
"hasPreviousPage": true
}
}
}Job Management
Get job contacts
Get all contacts associated with a specific job, with pagination support. Default limit is 100 contacts per page.
GET
/
api
/
public
/
v2
/
jobs
/
{jobId}
/
contacts
Get job contacts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 1000Response
200 - application/json
Successful response with job contacts and pagination
Show child attributes
Show child attributes
⌘I